Bug 1290245 - tests/basic/afr/split-brain-healing.t fails intermittently in regression runs
tests/basic/afr/split-brain-healing.t fails intermittently in regression runs
Status: CLOSED WORKSFORME
Product: GlusterFS
Classification: Community
Component: replicate (Show other bugs)
mainline
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Pranith Kumar K
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-09 17:46 EST by Michael Adam
Modified: 2017-03-02 00:26 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-03-02 00:26:27 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Adam 2015-12-09 17:46:00 EST
Description of problem:

tests/basic/afr/split-brain-healing.t fails intermittently in regression runs

E.g.:

https://build.gluster.org/job/rackspace-regression-2GB-triggered/16652/consoleFull

https://build.gluster.org/job/rackspace-regression-2GB-triggered/16680/consoleFull

triggered by

http://review.gluster.org/#/c/12826/
Comment 1 Vijay Bellur 2015-12-09 17:49:00 EST
REVIEW: http://review.gluster.org/12932 (tests: mark basic/afr/split-brain-healing.t as bad) posted (#1) for review on master by Michael Adam (obnox@samba.org)
Comment 2 Raghavendra Talur 2016-03-08 15:04:47 EST
"tests" component is for tests framework only.
File a bug under test component if you find a bug in 
1. any of the *.rc files under tests/ 
2. run-tests.sh


For everything else, the bug should be filed on
1. component which is being tested by .t file if the .t file requires fix.
2. component which is causing a valid .t file to fail in regression.

I have used my best judgement here to move the bug to right component.
In case of ambiguity, I have placed the blame on the .t file component.

Please consider test bugs under the same backlog list that tracks other bugs in your component.
Comment 3 Mike McCune 2016-03-28 18:22:31 EDT
This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune@redhat.com with any questions
Comment 4 Ravishankar N 2017-03-02 00:26:27 EST
Closing this bug as it seems rather dated. Feel free to re-open if the .t still fails.

Note You need to log in before you can comment on or make changes to this bug.